漏洞信息详情

ImageMagick 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201805-662
  • 危害等级: 中危
  • CVE编号: CVE-2018-11251
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2018-05-21
  • 威胁类型: 远程
  • 更新时间: 2019-10-23
  • 厂        商: imagemagick
  • 漏洞来源:

漏洞简介

ImageMagick是美国ImageMagick Studio公司的一套开源的图象处理软件。该软件可读取、转换、写入多种格式的图片。

ImageMagick 7.0.7-23 Q16 x86_64 2018-01-24版本中的coders/sun.c文件的ReadSUNImage存在基于堆的缓冲区越界读取漏洞。攻击者可借助特制的SUN图像文件利用该漏洞造成拒绝服务(应用程序崩溃)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/ImageMagick/ImageMagick/issues/956

参考网址

来源:UBUNTU

链接:https://usn.ubuntu.com/3681-1/

来源:CONFIRM

链接:https://github.com/ImageMagick/ImageMagick/issues/956

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2018/06/msg00004.html

来源:DEBIAN

链接:https://www.debian.org/security/2018/dsa-4245

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2018/05/msg00012.html

漏洞信息快速查询

相关漏洞

更多